package com.vendor.burn.preferences;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import com.vendor.burn.Messages;
import com.vendor.burn.preferences.FastbootPreferences;
import com.vendor.burn.preferences.PreferenceConstants;
import com.vendor.burn.ui.IpAddressEditor;
import org.eclipse.jface.preference.FieldEditor;
import org.eclipse.jface.preference.FieldEditorPreferencePage;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Label;
import org.eclipse.swt.widgets.Listener;
import org.eclipse.ui.IWorkbench;
import org.eclipse.ui.IWorkbenchPreferencePage;
import org.eclipse.ui.forms.widgets.FormToolkit;

public class SerialServerSettingPage extends FieldEditorPreferencePage implements IWorkbenchPreferencePage, PreferenceConstants {
  public static final String ID = "com.vendor.burn.preferences.SerialPreferencePage";
  
  public SerialServerSettingPage() {
    super(1);
  }
  
  public void init(IWorkbench workbench) {
    setPreferenceStore(FastbootPreferences.getPreferenceStore());
  }
  
  protected void createFieldEditors() {
    Composite parent = getFieldEditorParent();
    FormToolkit toolkit = new FormToolkit(parent.getDisplay());
    Label label = toolkit.createLabel(parent, Messages.serialServerPreferencePageIP);
    GridData layoutData = new GridData();
    label.setLayoutData(layoutData);
    IpAddressEditor ipAddressEditor = new IpAddressEditor(parent, 2048);
    GridData griddata = new GridData(1, 1, false, false);
    ipAddressEditor.setLayoutData(griddata);
    ipAddressEditor.setAddress(FastbootPreferences.CONFIG.getSerialServerIP());
    ipAddressEditor.addListener(24, (Listener)new Object(this, ipAddressEditor));
    GridData gridData = new GridData(1, 1, false, false);
    gridData.widthHint = 50;
    gridData.heightHint = 20;
    Object object1 = new Object(this, "vendor.burn.serial.port", Messages.serialServerPreferencePagePort, parent);
    object1.getTextControl(parent).setLayoutData(gridData);
    object1.setValidRange(0, 65535);
    object1.setTextLimit(5);
    addField((FieldEditor)object1);
    Object object2 = new Object(this, "vendor.burn.serial.open", Messages.serialServerPreferencePageOpen, parent);
    addField((FieldEditor)object2);
  }
}
